### Function

# Pango split_file_list

deprecated: 1.38

#### Declaration [src]

    char**
    pango_split_file_list (
      const char* str
    )

#### Description [src]

Splits a `G_SEARCHPATH_SEPARATOR`-separated list of files, stripping white space and substituting ~/ with $HOME/.

Deprecated since: 1.38

Please do not use it in newly written code.

#### Parameters

`str`

  Type: `const char*`

  A `G_SEARCHPATH_SEPARATOR` separated list of filenames.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

A list of strings to be freed with g_strfreev().

The array is `NULL`-terminated.
The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.